Description: providing ruby-gnome2 gemspec
From: Antonio Terceiro <terceiro@debian.org>
Origin: https://lists.debian.org/debian-ruby/2017/07/msg00030.html
Forwarded: https://github.com/ruby-gnome2/ruby-gnome2/pull/1078
Last-Update: 2017-07-27

--- a/glib2/lib/gnome2/rake/package-task.rb
+++ b/glib2/lib/gnome2/rake/package-task.rb
@@ -154,6 +154,13 @@
       def define_package_tasks
         Gem::PackageTask.new(@spec) do |pkg|
         end
+        desc "Write #{@spec.name}.gemspec"
+        task :gemspec do
+          File.open("#{@spec.name}.gemspec", 'w') do |f|
+            f.write(@spec.to_ruby)
+          end
+          puts "#{@spec.name}.gemspec created"
+        end
       end
 
       class DependencyConfiguration
